Dancer2::Core::Role::StandardResponses(3pm)

NAME
Dancer2::Core::Role::StandardResponses - Role to provide commonly used responses

VERSION
version 2.1.0

METHODS

  response
Generic method that produces a custom response given with a code and a message:

    $self->response( $app, 404, 'Not Found' );

This could be used to create your own, which is separate from the standard one:

    $self->response( $app, 404, 'File missing in action' );

  standard_response
Produces a standard response using the code.

    # first example can be more easily written as
    $self->standard_response( $app, 404 );

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.